void bind2(int null, float x, float z, float y, int dir){
	void self = getlocalvar("self");
	void opp = getentityproperty(self, "opponent");
	if(null == 1)
	{
		bindentity(self, opp, x, z, y, dir, 0);
	}
	else if(null == 0)
	{
		bindentity(opp, NULL());
	}
}

void forceanim2(int anim){
	void self = getlocalvar("self");
	void opp = getentityproperty(self, "opponent");
	changeentityproperty(opp, "animation", anim);
}


void forceweapon(int t){
	void self = getlocalvar("self");
	void opp = getentityproperty(self, "opponent");
	changeentityproperty(opp, "weapon", t);
}



void bind(int null, float x, float z, float y, int dir){
	void self = getlocalvar("self");
	void opp = getentityproperty(self, "opponent");
	void nome = getentityproperty(opp, "name");


                       if((nome!="Clone" || nome!="Clone2" || nome!="Clone3")  && (null == 1))
			{
				bindentity(opp, self, x, z, y, dir, 0);   
			}
			
	               
	              else 
	             {
		              bindentity(opp, NULL());  
	                }
                       



}



void forceanim(int anim){
	void self = getlocalvar("self");
	void opp = getentityproperty(self, "opponent");
        void nome = getentityproperty(opp, "name");



        if(nome!="Clone" || nome!="Clone2" || nome!="Clone3")
        {

          changeentityproperty(opp, "animation", anim);
        }

        else 
        {

          bindentity(opp, NULL()); 
        }
       


	
}





















